package controller

import (
	"web-qudo-be/app/module/client_approval_settings/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	ClientApprovalSettings ClientApprovalSettingsController
}

func NewController(ClientApprovalSettingsService service.ClientApprovalSettingsService, log zerolog.Logger) *Controller {
	return &Controller{
		ClientApprovalSettings: NewClientApprovalSettingsController(ClientApprovalSettingsService, log),
	}
}
